Features

VAIO Content Importer software enables you to import media files (videos and pictures) on a DVD, digital still camera, or camcorder to your VAIO computer.


Notes on Using VAIO Content Importer

Make sure that your computer meets recommended specifications and you check the following settings before using VAIO Content Importer.

Recommended system requirement to import video files from a HDV device

  • CPU: Intel Pentium 4 processor 2.8 GHz or above or Intel Pentium M processor 1.6 GHz or above
  • System Memory: 512 MB or more

Recommended system requirement to import files from an AVCHD device

  • CPU: Intel Pentium D processor 2.8 GHz or above or Intel Core Duo processor 1.66 GHz or above
  • System Memory: 1 GB or more

To make contiguous open space

Defragment or format the hard disk to maintain contiguous open space where imported files are stored.
For details on how to defragment or format the hard disk, refer to the Windows help.

Note

It is recommended to defragment the hard disk. Note that formatting the hard disk erases all date stored on the hard disk.

Exit all other software

Exit all software except VAIO Content Importer.
Exit any software or windows that periodically update the screen display, such as a screen saver, anti-virus software, some printer utilities, etc.

Power supply and processor performance settings

When using a notebook computer, keep it connected to the AC adapter while using VAIO Content Importer. Also, set the processor to operate at its maximum clock speed.


Starting and Exiting VAIO Content Importer

To start VAIO Content Importer

  1. Click Start [image], All Programs, VAIO Video & Photo Suite, and then VAIO Content Importer.
    The Welcome to VAIO Content Importer window appears.
  2. Select the device or media.
    The corresponding import window appears.

Hint

The window to select the performance options may appear when you connect the device to your computer.
The corresponding import window also appears by selecting VAIO Content Importer in the window and clicking OK.

To exit VAIO Content Importer

Follow either of the two options below to exit VAIO Content Importer:
  • Click [image] in the upper right corner of the window.
  • Press the Alt and F4 keys simultaneously.


Importing Media Files from a Digital Still Camera

You can specify the settings for the import in the import window for a digital still camera.
Click Import to start importing media files.

Hint

You can specify the settings to import media files automatically when connecting a digital still camera to your computer or inserting "Memory Stick" into the computer as well.

A Drive
Select the device or media on which media files you want to import are stored.
Only DCF files on the selected device or media are imported.
All media files on the selected device or media are imported if there are not any DCF files on the device or media.
B Save in
Specify the folder to save imported media files.
If the folder you want to save media files in is not displayed in the drop-down list, select Select Folder and specify the desired folder in the window that appears.

Hint

If you select the checkbox next to Import to a new folder, a new folder is created in the specified folder and media files are imported to the folder.
If you do not specify the folder name, the date when you imported the media file will be the folder name. To change the folder name, enter the folder name in the text box next to Folder name.
C Do not import duplicates
Select this checkbox not to import media files already imported.
D Delete media files from media after they are imported
Select this checkbox to delete media files from the media after the importing process has completed.
E Auto Import Settings button
Displays the Auto Import Settings window.
You can specify the settings to import media files automatically in the window.
F Import button
Saves the settings and starts importing media files.
When the importing process has completed, a confirmation message appears, then click OK.

To import media files automatically

You can import media files automatically when connecting a digital still camera to your computer or inserting "Memory Stick" into the computer.
Specify the settings in the window displayed by clicking Auto Import Settings button.
After setup has completed, click OK.

Automatically start importing when a media is detected
Once you have connected a digital still camera to your computer or inserted "Memory Stick" into the computer, media files are automatically imported from the next time if you select this checkbox.
Save in
Select the folder to save imported media files.
If the folder you want to save media files in is not displayed in the drop-down list, select Import to a new folder and specify the desired folder in the window that appears.

Hint

If you select the checkbox next to Import to a new folder, a new folder is created in the specified folder and media files are imported to the folder.
If you do not specify the folder name, the date when you imported the media file will be the folder name. To change the folder name, enter the folder name in the text box next to Folder name.


Importing Media Files from a Disc or Hard Disk Drive Handycam

You can specify the settings for the import in the import window for a disc (a DVD, Blu-ray Disc, HD disc, and AVCHD disc) and hard disk drive Handycam.

The DVD drive is required to import media files from a DVD, HD disc, and AVCHD disc, and the Blu-ray Disc drive is required to import them from a Blu-ray Disc.

Click Import to start importing media files.

A Drive
Select the disc or drive on which media files you want to import are stored.
B Media File list
Displays the list of media files stored on the disc or drive.
The media file with a checkmark is imported.
C Select All button
Selects all checkboxes of media files in the Media File list.
D Clear All button
Clears all checkboxes of media files in the Media File list.
E List select button
Changes the list type.
  • : Thumbnails
  • : List
  • : Details
F Preview area
Preview the selected media file in the Media File list.
G Preview controls area
Control previewing.
  • Playback position slider
    Drag the slider to change the playback position.
    Click anywhere on the slider to change the playback position to the desired point.
  • Playback time
    Displays Elapsed time / Play time.
  • :
    Starts preview of the media file. Clicking this button during preview pauses playback.
  • : Stops preview of the media file.
  • : Moves to the beginning of the previous media file.
  • : Moves to the beginning of the next media file.
  • :
    Turns the volume off. Click the button again to turn the volume on.
  • Volume control slider: Adjusts the volume.
H Import all pictures
Select this checkbox to import all picture files stored on the selected disc or drive.

Hint

If you select the Do not import duplicates checkbox, the media files you have imported before are not imported.
I Total size
Shows the total file size of the media files stored on the selected disc or drive.
J Save in
Specify the folder to save imported media files.
If the folder you want to save media files in is not displayed in the drop-down list, select Select Folder and specify the desired folder in the window that appears.

Hint

  • If you select the checkbox next to Import to a new folder, a new folder is created in the specified folder and media files are imported to the folder.
    If you do not specify the folder name, the date when you imported the media file will be the folder name. To change the folder name, enter the folder name in the text box next to Folder name.
  • You can confirm storage space on the drive to which the media files are imported by the bar graph displayed in the lower left corner of the window.
K Import button
Saves the settings and starts importing media files.
When the importing process has completed, a confirmation message appears, then click OK.

Note

VAIO Content Importer cannot import media files from commercially available DVDs and Blu-ray Discs or DVDs and Blue-ray Discs that contain copy protection.


Importing Media Files from a Camcorder (i.LINK connection)

You can specify the settings for the import in the import window for a camcorder connected to your computer with i.LINK cable.

Click Capture to start importing videos.

A Preview area
Preview the video on the camcorder.

Hint

The playback position (time code) is displayed in the lower right corner of the Preview area.
B Preview controls area
  • : Starts preview of the video.
  • : Pauses preview of the video.
  • : Stops preview of the video.
  • : Fast-reverses preview of the video.
  • : Fast-forwards preview of the video.
  • : Slow-reverses preview of the video.
  • : Slow-forwards preview of the video.
  • : Step-backwards preview of the video.
  • : Step-forwards preview of the video.
  • :
    Turns the volume off. Click the button again to turn the volume on.
  • Volume control slider: Adjusts the volume.
C Import select radio button
You can specify the settings of how to import videos from a camcorder.
  • Capture automatically
    Importing the video starts when you click Capture and stops when the video is imported to the end.
    If you select the Rewind tape checkbox, importing the video starts after rewinding the video to the start.
  • Set capture length
    Importing the video starts when you click Capture and stops when the time you specified has passed.
  • Capture manually
    Importing the video starts when you click Capture and stops when you click Stop Capture.
D Capture button
Saves the settings and starts importing a video.

Hint

As importing the video starts, the Capture button changes to the Stop Capture button.
Click the Stop Capture button to stop importing the video.
E Save in
Specify the folder to save imported videos.
If the folder you want to save videos in is not displayed in the drop-down list, select Select Folder and specify the desired folder in the window that appears.

Hint

  • If you select the checkbox next to Import to a new folder, a new folder is created in the specified folder and videos are imported to the folder.
    If you do not specify the folder name, the date when you imported the video will be the folder name. To change the folder name, enter the folder name in the text box next to Folder name.
  • You can confirm storage space on the drive to which the videos are imported by the bar graph displayed in the lower left corner of the window.
When the importing process has completed, a confirmation message appears, then click OK.


Importing Video from an Analog Video Device

You can specify the settings for the import in the import window for an analog video device connected to your computer.

You can import a video from an analog video device only if the computer is equipped with analog inputs.

Click Capture to start importing the video.

A Preview area
Preview the video. Operate an analog video device manually to play the video.

Hint

The elapsed time is displayed in the lower right corner of the Preview area.
You can adjust the volume with the volume control slider and turn the volume off by clicking the muting button.
B Select input
Select the input terminal.
C Video quality
Select video quality when importing the video.
D Set capture length
If you select this checkbox, importing the video starts when you click Capture and stops when the time you specified has passed.
E Capture button
Saves the settings and starts importing a video.

Hint

As importing the video starts, the Capture button changes to the Stop Capture button.
Click the Stop Capture button to stop importing.
F Save in
Specify the folder to save imported videos.
If the folder you want to save videos in is not displayed in the drop-down list, select Select Folder and specify the desired folder in the window that appears.

Hint

  • If you select the checkbox next to Import to a new folder, a new folder is created in the specified folder and the video is imported to the folder.
    If you do not specify the folder name, the date when you imported the video will be the folder name. To change the folder name, enter the folder name in the text box next to Folder name.
  • You can confirm storage space on the drive to which the videos are imported by the bar graph displayed in the lower left corner of the window.

Note

It is not possible to import the video from an analog video device in the following situations.
  • While Windows Media Center is running
  • When automatic recording starts within five minutes with Windows Media Center
  • While capturing the video from an analog video device with Click to DVD
  • While watching TV with VAIO Media Server


Importing Media Files from a Device Connected to the Network

You can specify the settings for the import in the import window for a device connected to the network.

Click Import to start importing media files.

A Server List
Displays servers connected to the network.
B Select All button
Selects all checkboxes of the media files in the Media File list.
C Clear All button
Clears all checkboxes of the media files in the Media File list.
D List select button
Switches the list type.
  • : Thumbnails
  • : List
  • : Details
E Media File list
Displays the corresponding media file to the item you selected in the Server List.
The media file with a checkmark is imported.
F Save in
Specify the folder to save imported media files.
If the folder you want to save media files in is not displayed in the drop-down list, select Select Folder and specify the desired folder in the window that appears.

Hint

  • Only the corresponding media file to the item you selected in the Server list is displayed in the Media File list. You can select only the checkbox next to the media file in the Media File list.
  • If you select the checkbox next to Import to a new folder, a new folder is created in the specified folder and media files are imported to the folder.
    If you do not specify the folder name, the date when you imported the media file will be the folder name. To change the folder name, enter the folder name in the text box next to Folder name.
  • You can confirm storage space on the drive to which the media files are imported by the bar graph displayed in the lower left corner of the window.
G Import button
Saves the settings and starts importing media files.
When the importing process has completed, a confirmation message appears, then click OK.


Adding the Save in Folder

The folders displayed in Save in are the folder to monitor and the folder you have specified in recent days.
You can always display the folder which you often use by adding it to the folder to monitor.

Select Select Folder in Save in of each import window, and then specify the folder in the window that appears.
  1. Specify the desired folder.
  2. Select the Set the selected folder to monitor for media files checkbox.
  3. Click OK.

Hint

The settings for the folder to monitor are shared with the folder settings specified on VAIO Media. You can check the folder to monitor or reset the settings in VAIO Media Server Settings. To launch VAIO Media Server Settings, click Start, All Programs, VAIO Media, Server Administration, and VAIO Media Server Settings.


Importing files to Picasa

You can start VAIO Content Importer from Picasa and import picture files from an external device or media to Picasa using VAIO Content Importer.
  1. Click the [image] (Import) button on the Picasa's main window.
    The Welcome to VAIO Content Importer window appears.
  2. Select the desired device or media.
    The import window appears.

Note

  • Add the [image] (Import) button to the Picasa's main window if it is not display on the main window.
  • For information about the formats Picasa supports, see the help file on Picasa.


Adding the Import and Export buttons to Picasa

You can add the [image] (Import) and [image] (Export) buttons to the Picasa's main window if such buttons are not displayed on the main window. To add the buttons, follow the steps below:
  1. Double-click AddButtonTool.exe in C:Program Files\Sony\VAIO VP Utilities\Tools.
    The buttons are displayed on the main window.

Note

  • You need to log onto your computer as a user with administrator rights to add the buttons.
    If the User Account Control window appears during the process, click Continue.
  • You can add the buttons to the Picasa's main window in Picasa Ver. 2.5 or later.


Glossary

A B D G H I J M N P T V W Numerals

A

Analog Devices
In VAIO Content Importer, it is devices which record and play video by the analog method, such as analog video cameras and VHS/Beta video recorders. If you are using a VAIO equipped with a video input (or S image input) or audio input jacks, you can capture these images into a disc by connecting the analog device with a video connection cable and an audio connection cable.
AVCHD
An HD digital video camera format for recording by using highly efficient codec technologies.
AVI
An acronym for "Audio Video Interleaved", the file format created by Microsoft for playing back movies and sound with Windows. The AVI 1.0 format limits the file size to 2 gigabytes, but AVI 2.0 format allows file sizes of over 2 gigabytes.

B

BD
"BD" is generic term of a Blu-ray Disc.
Bitmap
The standard Windows format for pictures. Also refers to files stored in this format.

D

Drag
To move the selected scenes or clips on the screen while pressing and holding down the left mouse button.
Drag and drop
To move the selected scenes or clips on the screen while pressing and holding down the left mouse button, and then releasing the button at the desired position. This operation is used when rearranging the position of scenes or clips in the Scene/Clip List, or when resizing a window, etc.
DV
A video file compression method. One NTSC image frame (720 x 480 pixels; 16,770,000 colors) can be compressed to approximately 120 KB, and one PAL image frame (720 x 576 pixels; 16,770,000 colors) can be compressed to approximately 140 KB.
DVCAM
A video standard developed by Sony. Compresses video using the same method as DV, but also allows synchronization of sound blocks with video. To ensure the reliability of tape playback, the playback DVCAM speed is different from the DV speed.
DV CODEC AVI
An AVI file compressed using the DV method. AVI supports various compression methods, but VAIO Content Importer can handle only DV CODEC AVI.
DV device
The generic term that refers to any device that uses VAIO Content Importer to record and play back video using either the DV or DVCAM method.
DVR-MS
A file format recorded with Windows Media Center developed by Microsoft.

G

GIF
One of the image formats widely used on the Internet along with JPEG.

H

HDV
Video format for recording and playing High-Definition video on DV cassette tapes. VAIO Content Importer supports the HDV 1080i format used for the High-definition broadcast.
HDV device
VAIO Content Importer considers devices that records and plays video in HDV format as "HDV devices".

I

i.LINK
i.LINK is a more familiar term for IEEE 1394 (the IEEE1394-1995 standard) data transport bus proposed by Sony, and is a trademark approved by many corporations. i.LINK is a high-speed digital serial interface for exchanging digital audio and video data between computers and/or i.LINK-compatible devices. You can also control connected external digital devices through i.LINK from a computer.
Import
In VAIO Content Importer, "Import" means importing files on a video device to your VAIO computer connected to the video device.

J

JPEG
An acronym for "Joint Photographic Experts Group". JPEG is a method for compressing static images as well as the compressed files by this technique.

M

MICROMV
A recording system based on MPEG-2 compression methods enabling a transmission of high quality video at 12 Mbps.
MICROMV device
In VAIO Content Importer, a device which records and plays video using the MICROMV method is called a "MICROMV device".
MPEG
Acronym for Moving Picture Experts Group. The word MPEG is used to refer to its technology of compressing digital video and audio files, as well as the compressed files themselves.
MPEG1
MPEG1 is a format used to compress color video (at a transmission rate up to 1.5Mbps). MPEG1 is mainly used for video CDs.
MPEG2
MPEG2 is a format used to compress color video and provides high-quality images and a high-compression rate. MPEG2 is mainly used for DVDs.
MPEG4
MPEG4 is a format used to compress color video and is designed for distribution of highly compressed, low-quality images at a low transmission rate.

N

NTSC
The video format on TV system commonly used in the United States, Japan, etc. An NTSC image has 525 lines per frame (which are scanned from left to right and from top to bottom), and displayed at 29.97 frames per second.

P

PAL
The video format on TV system used mainly in Europe or China, etc. A PAL image has 625 lines per frame (which are scanned from left to right and from top to bottom), and displayed at 25 frames per second.
PNG
One of the image formats and developed for the purpose of being used on the Internet. It compresses full color images losslessly.
Preview
Allows you to view the results of your changes to movies before applying them.

T

Thumbnail
Small images that represent larger frames, which are used for checking the image on a videotape or clip.
TIFF
One of the static image formats, it is widely used on the Internet along with JPEG. It can handle multiple images and data in a single file.
Time code
The unit of time for tape and video files.

V

Video camera
Video cameras which you can use with VAIO Content Importer are a DV, HDV, MICROMV, and analog device, and DVD and hard disk drive Handycam.

W

WMV
Acronym for "Windows Media Video", the file format is based on MPEG4 and created by Microsoft for online distribution and provides a high compression rate support copy control technology.

Numerals

50i
High-definition video format where the frame rate is 50 fps (i.e. 50 frames are displayed per second) and interlaced scanning is performed. This frame rate was endorsed so as to be compatible with the frame rate of the PAL format commonly used in Europe and China, etc.
60i
High-definition video format where the frame rate is 60 (59.94) fps (i.e. 60 (59.94) frames are displayed per second) and interlaced scanning is performed. This frame rate was endorsed so as to be compatible with the frame rate of the NTSC format commonly used in the United States and Japan, etc.


Supported Formats

Supported Standards

VAIO Content Importer is compatible with the video format below.

  • NTSC(60i): video format is used mainly in Japan, North America, etc.

  • PAL(50i): video format is used mainly in Europe, etc.

Importable file formats

Video file

File format (Extension) | Recording format | Video codec | Audio codec
MPEG1 (.mpg / .mpeg) | MPEG1 | MPEG1 Video | MPEG1 Audio Layer II
MPEG2 (.mpg / .mpeg) | MPEG2-PS | MPEG2 Video | MPEG1 Audio Layer II / Dolby Digital / PCM
MICROMV (.mmv) | MPEG2-TS | MPEG2 Video | MPEG1 Audio Layer II
HDV (.m2t) | MPEG2-TS | MPEG2 Video | MPEG1 Audio Layer II
AVCHD (.m2ts) | MPEG2-TS | AVC/H.264 | Dolby Digital
MP4(MPEG4) (.mp4) | MP4 | MPEG4 | MPEG4 AAC LC
MP4(AVC) (.mp4) | MP4 | AVC/H.264 | MPEG4 AAC LC
DV-AVI (.avi) | AVI | DV | PCM
AVI (.avi) | AVI | Commonly used video codec for AVI files | Commonly used audio codec for AVI files
WMV (.wmv) | ASF | WMV | WMA
DVR-MS (.dvr-ms) | - | MPEG2 Video | MPEG1 Audio Layer II / Dolby Digital

Picture file

File format (Extension)
Bitmap(.bmp)
JPEG(.jpg / .jpeg)
PNG(.png)
TIFF(.tif / .tiff)
GIF(.gif)


Troubleshooting

Symptoms | Cause/Remedy
Video capture fails Make sure that Windows Media Player 11 (or later) is installed.
Windows Media Player 11 can be installed using Windows Update.
  1. Click Start, and click All Programs. And click Windows Media Player.
    Windows Media Player starts.
  2. In the menu bar, click Help and click About Windows Media Player.
  3. Confirm a version number of 11.0 or later under the Version heading.
Capture stops before it is completed | The amount of remaining free space available on the disk has fallen below 500 MB while capture was in progress.
Capture stops with DV, MICROMV, and HDV device before it is completed The following are possible causes:
  • There is a blank section (where nothing is recorded) of at least 10 seconds on the tape.
  • The end of the recorded portion of the tape has been reached.
  • The status of the externally connected device has changed while capture is in progress.
  • The connection between the computer and the external device cannot be confirmed while capture is in progress.
When using an HDV device, the following problems occur:
  • The HDV device is not detected.
  • Cannot capture video from the HDV device.
Disconnect the i.LINK cable.
Cannot capture video from an HDV device. | Disconnect the i.LINK cable and then change the setting on the HDV device to match it with the capture format.
The server that you would like to connect to does not appear on the server list | If the server that you would like to connect to does not appear on the server list, please verify that the setting in VAIO Media Console or VAIO Media Server Settings allows access from other devices on the network. You may also need to submit a registration request to gain access to that server. Refer to the VAIO Media Help file for details on device registration. VAIO Content Importer is compatible with VAIO Media 4.1 or later.
The Import button is not displayed on the Picasa's main window | The Import button is not displayed if you reinstall Picasa. Add the button again.


Restrictions

  • If the amount of available space on the disk is less than 500 MB when capture is started, a message alerts you that there is not enough space on the disk, regardless of the length or size of the video to capture, and the capture operation cannot start.
    If the amount of available space on disk drops below 500 MB while video capturing is in progress, the message is displayed and capturing stops.
  • If a folder to save imported media files or media file to be imported is encrypted or compressed, the import cannot be done properly.
  • VAIO Content Importer cannot import copyright protected video files.
  • If the CPU or hardware becomes overloaded during video capturing, this could cause partial data loss because not all of the video can be captured. To prevent this problem from occurring, please refer to Notes on Using VAIO Content Importer.
  • You cannot import video when the DV, MICROMV, or HDV device is in the memory mode. Also, video and pictures stored on "Memory Stick" mounted in the DV, MICROMV, or HDV device cannot be displayed on the Preview area in VAIO Content Importer.
  • Windows Aero may be disabled during video playback.
  • The imported file name may not be displayed correctly if the file name includes characters which your computer system does not recognize.
  • Video playback is not displayed smoothly due to extensive computer processing in the following cases:
    • While playing an HD video file.
    • While using other software simultaneously along with VAIO Content Exporter.

Importing files from a DV device

  • If the audio mode changes while video import from a DV device is in progress, video will be saved in a separate file from the point of the mode change. In this situation, no sound may be recorded for the first segment of the file.

Importing files from an HDV device

  • You cannot import video from an HDV device if "VCR HDV/DV" is set to "AUTO."
  • Depending on your video device, no video appears on the Preview area in VAIO Content Importer during Pause, Step Forward, Step Backward, Slow Forward, and Slow Rewind operations. View the monitor on your HDV device. In this case, you cannot start video capture.

Importing files from a DVD or Blu-ray Disc

  • You can import video from a DVD-Video disc, DVD+VR disc, DVD-VR disc, a disc recorded in AVCHD format, or a Blu-ray Disc in the BDAV format.
  • VAIO Content Importer cannot import video from commercially available DVDs or DVDs that contain copy protection.
  • VAIO Content Importer cannot import slide show created with Click to DVD.
  • Source materials for the menu of the DVD may also be displayed as title.
  • When VAIO Content Importer imports files from a DVD recorded in the DVD-VR format, the DVD is required to have been finalized. If the DVD has not been finalized, finalize it with the device that recorded the DVD before importing.
  • The performance of VAIO Content Importer cannot be guaranteed for importing files from a DVD and Blu-ray Disc that are created using a device other than Sony devices or software.


Trademarks

Copyright 2006, 2007 Sony Corporation

  • VAIO is a trademark of Sony Corporation.
  • Memory Stick is a trademark of Sony Corporation.
  • HDV and HDV logo are trademarks of Sony Corporation and Victor Company of Japan, Limited (JVC).
  • "AVCHD" is a trademark of Matsushita Electric Industrial Co., Ltd. and Sony Corporation.
  • Microsoft, Windows Media and Windows are trademarks or registered trademarks of Microsoft Corporation in the United States and/or other countries.
  • Intel, Core, and Pentium are trademarks or registered trademarks of Intel Corporation or its subsidiaries in the United States and other countries.
  • i.LINK is a designation referring to IEEE 1394-1995 and their extensions. i.LINK and the i.LINK logo " [image] " are trademarks of Sony Corporation.
  • Copyright(c) 2003-2006 Google, Inc. All rights reserved. Picasa is a trademark of Google, Inc. All other product, service names, brands, or trademarks are the property of their respective owners.
  • All other trademarks are trademarks of their respective owners. (TM) and (R) marks are not used in the text.

  • Copying all or part of the contents of this software and help, or renting the software without authorization are prohibited by copyright laws.
  • The Sony Corporation cannot accept liability for damage or loss resulting from the use of this software, or for any claim from a third party.
  • This software must not be used in a system other than that specified.
  • The software specifications may be subject to change without notice.